/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialProvided.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class MaterialProvided extends DataEntity<MaterialProvided> {

	private static final long serialVersionUID = 1L;

	private Integer serialNumber;//序号
	private String planToBatch;//计划批次
	private String planToBatchName;//计划批次名称
	private String caseInformation;//分标信息
	private String materialExtension;//物料加扩展
	private String materialCode;//物料编码
	private String materialDescription;//物料描述
	private String extendedCode;//扩展编码
	private String extendedDescription;//扩展编码描述
	private String measuringUnit;//计量单位
	private Double referencePrice;//参考概算价格
	private String version;//版本号
	private String versionName;//版本名称

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}
	@ExcelField(title="计划批次", align=2, sort=1)
	public String getPlanToBatch() {
		return planToBatch;
	}

	public void setPlanToBatch(String planToBatch) {
		this.planToBatch = planToBatch;
	}
	@ExcelField(title="分标信息", align=2, sort=2)
	public String getCaseInformation() {
		return caseInformation;
	}

	public void setCaseInformation(String caseInformation) {
		this.caseInformation = caseInformation;
	}
	@ExcelField(title="物料加扩展", align=2, sort=3)
	public String getMaterialExtension() {
		return materialExtension;
	}

	public void setMaterialExtension(String materialExtension) {
		this.materialExtension = materialExtension;
	}
	@ExcelField(title="物料编码", align=2, sort=4)
	public String getMaterialCode() {
		return materialCode;
	}

	public void setMaterialCode(String materialCode) {
		this.materialCode = materialCode;
	}
	@ExcelField(title="物料描述", align=2, sort=5)
	public String getMaterialDescription() {
		return materialDescription;
	}

	public void setMaterialDescription(String materialDescription) {
		this.materialDescription = materialDescription;
	}
	@ExcelField(title="扩展编码", align=2, sort=6)
	public String getExtendedCode() {
		return extendedCode;
	}

	public void setExtendedCode(String extendedCode) {
		this.extendedCode = extendedCode;
	}
	@ExcelField(title="扩展编码描述", align=2, sort=7)
	public String getExtendedDescription() {
		return extendedDescription;
	}

	public void setExtendedDescription(String extendedDescription) {
		this.extendedDescription = extendedDescription;
	}
	@ExcelField(title="计量单位", align=2, sort=8)
	public String getMeasuringUnit() {
		return measuringUnit;
	}

	public void setMeasuringUnit(String measuringUnit) {
		this.measuringUnit = measuringUnit;
	}
	@ExcelField(title="参考概算价值", align=2, sort=9)
	public Double getReferencePrice() {
		return referencePrice;
	}
	@ExcelField(title="计划批次名称", align=2, sort=10)
	public String getPlanToBatchName() {
		return planToBatchName;
	}

	public void setPlanToBatchName(String planToBatchName) {
		this.planToBatchName = planToBatchName;
	}

	public void setReferencePrice(Double referencePrice) {
		this.referencePrice = referencePrice;
	}

	@ExcelField(title="版本名称", align=2, sort=11)
	public String getVersionName() {
		return versionName;
	}

	public void setVersionName(String versionName) {
		this.versionName = versionName;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}
}

